VARKON Version 1.18A 2004-09-27

> ## getdat_gm - Function

> Reads an array of data from GM

> Description

> Reads an array of data from GM previousely stored by putdat_gm().

> Syntax

> getdat_gm(key, array)

> STRING | key;
> Any_type | array();

> Principal parameters

> key | - The unique name of this data
> array | - A 1-dimensional array of INT, FLOAT, VECTOR, REF or STRING

> Optional parameters

> None.

> Return value

> 0 if no data with this name was found otherwise the number of elements read. -1 if array is wrong type or too small.

> Examples

> FLOAT k(100);
> INT count;

> count:=getdat_gm("My_data", k);

> Copies the data with key name = "My_data" into k..

> See also

> putdat_gm and deldat_gm

VARKON Homepage | Index